Subject: Re: [GIT PULL] soc: amlogic: updates for v5.4 (round 2)

From: Kevin Hilman <[email-masked]>
Date: Thu, 29 Aug 2019 16:34:17 -0700

OK, here's the respin (round 2.1)

The previous version was missing the bindings for the new driver, which
I had mistakenly put in the DT branch instead of here.  Without the
bindings and associated headers, this branch did not build stanalone
(found by kbuild robot.)

All that is fixed by this branch.

As a result, I also needed to respin the DT64 pull.  Since I moved the
bindings/header patche here, the respin of the DT64 pull will now have a
dependency merge of this branch.

Kevin

The following changes since commit 49ed86f503be80aac158a567c4cfd31cf1cd181e:

  soc: amlogic: meson-gx-socinfo: Add of_node_put() before return (2019-08-20 14:53:33 -0700)

are available in the Git repository at:

  https://git.kernel.org/pub/scm/linux/kernel/git/khilman/linux-amlogic.git tags/amlogic-drivers-2.1

for you to fetch changes up to bd9eccf14008732f8ea4a7efc7839911e56053a1:

  dt-bindings: power: add Amlogic Everything-Else power domains bindings (2019-08-29 16:05:01 -0700)

----------------------------------------------------------------
soc: amlogic: updates for v5.4 (round 2)
- add power domain controller

----------------------------------------------------------------
Neil Armstrong (2):
      soc: amlogic: Add support for Everything-Else power domains controller
      dt-bindings: power: add Amlogic Everything-Else power domains bindings

 Documentation/devicetree/bindings/power/amlogic,meson-ee-pwrc.yaml |  93 +++++++++++++++++++
 drivers/soc/amlogic/Kconfig                                        |  11 +++
 drivers/soc/amlogic/Makefile                                       |   1 +
 drivers/soc/amlogic/meson-ee-pwrc.c                                | 492 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 include/dt-bindings/power/meson-g12a-power.h                       |  13 +++
 include/dt-bindings/power/meson-sm1-power.h                        |  18 ++++
 6 files changed, 628 insertions(+)
 create mode 100644 Documentation/devicetree/bindings/power/amlogic,meson-ee-pwrc.yaml
 create mode 100644 drivers/soc/amlogic/meson-ee-pwrc.c
 create mode 100644 include/dt-bindings/power/meson-g12a-power.h
 create mode 100644 include/dt-bindings/power/meson-sm1-power.h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel